<?php

class View {

	var $_data;

	function __construct() {
		$this->_data = array();
	}

	function set($key, $value) {
		$this->_data[$key] = $value;
	}

	function get($key) {
		return (array_key_exists($key, $this->_data))? $this->_data[$key] : '';
	}

	/**
	 * Overwrite this method.
	 */
	function render() {
		$out = '';
		return $out;
	}

}
